summaryrefslogtreecommitdiffstats
path: root/share/hooks/pre-container.irc-notification.sh
diff options
context:
space:
mode:
Diffstat (limited to 'share/hooks/pre-container.irc-notification.sh')
-rwxr-xr-xshare/hooks/pre-container.irc-notification.sh70
1 files changed, 70 insertions, 0 deletions
diff --git a/share/hooks/pre-container.irc-notification.sh b/share/hooks/pre-container.irc-notification.sh
new file mode 100755
index 0000000..8a68bc5
--- /dev/null
+++ b/share/hooks/pre-container.irc-notification.sh
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+PROJECT="open-infrastructure"
+SOFTWARE="compute-tools"
+PROGRAM="container"
+
+# Notification on some command only
+case "${COMMAND}" in
+ build|b|get|g|move|mv|remove|rm|restart|rt|start|s|stop|t|update|u)
+ ;;
+
+ *)
+ exit 0
+ ;;
+esac
+
+# Depends
+if [ ! -e /usr/bin/irk ]
+then
+ # quiet exit
+ exit 0
+fi
+
+# Configuration
+for FILE in "/etc/${SOFTWARE}/${PROGRAM}.conf" "/etc/${SOFTWARE}/${PROGRAM}.conf.d"/*.conf
+do
+ if [ -e "${FILE}" ]
+ then
+ . "${FILE}"
+ fi
+done
+
+if [ -z "${IRK_TARGETS}" ]
+then
+ # quiet exit
+ exit 0
+fi
+
+if [ -z "${CONTAINER_USER}" ]
+then
+ CONTAINER_USER="${SUDO_USER:-${USER}}"
+fi
+
+DATE="$(date +%Y-%m-%d\ %H:%M:%S)"
+HOST="$(hostname -f 2> /dev/null || hostname)"
+
+# Run
+for TARGET in ${IRK_TARGETS}
+do
+ irk "${TARGET}" "\x0300${CONTAINER_USER}\x03@\x0312${HOST}:\x03 \x0303${PROGRAM}\x03 \x0307${COMMAND}\x03 ${OPTIONS}"
+done